summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Michael Wagner2010-05-11 14:55:18 +0200
committer Michiel van Wessem2010-05-11 14:55:18 +0200
commit85072a8182b19dbc99beb990ae2ad816c581d0ea (patch)
tree0f149834dfb865717b1f5002a396448437b7813e /graphics
parent080b80aa9df2b3f611a55c2a957dca3e23ffd961 (diff)
downloadslackbuilds-85072a8182b19dbc99beb990ae2ad816c581d0ea.tar.gz
graphics/tripod: Initial import
Diffstat (limited to 'graphics')
-rw-r--r--graphics/tripod/README8
-rw-r--r--graphics/tripod/ipodexport.cpp.diff11
-rw-r--r--graphics/tripod/slack-desc19
-rw-r--r--graphics/tripod/tripod.SlackBuild77
-rw-r--r--graphics/tripod/tripod.info8
5 files changed, 123 insertions, 0 deletions
diff --git a/graphics/tripod/README b/graphics/tripod/README
new file mode 100644
index 0000000000..5ae32fb59b
--- /dev/null
+++ b/graphics/tripod/README
@@ -0,0 +1,8 @@
+Tripod (manage photos on Apple's iPod)
+
+Tripod is a QT application allowing you to display, create, remove
+and rename your iPod photo album.
+
+Note that Tripod only works with libgpod >= 0.4.2.
+
+Homepage: http://sebruiz.net/tripod
diff --git a/graphics/tripod/ipodexport.cpp.diff b/graphics/tripod/ipodexport.cpp.diff
new file mode 100644
index 0000000000..3647246ca2
--- /dev/null
+++ b/graphics/tripod/ipodexport.cpp.diff
@@ -0,0 +1,11 @@
+--- tripod/src/ipodexportdialog.cpp~ 2007-02-01 10:36:04.000000000 +0100
++++ tripod/src/ipodexportdialog.cpp 2007-05-29 15:27:19.000000000 +0200
+@@ -494,7 +494,7 @@
+
+ // get last album. we don't use lastItem() because it returns children. FIXME?? O(n)
+ QListViewItem *last = m_ipodAlbumList->firstChild();
+- while( last->nextSibling() )
++ while( last && last->nextSibling() )
+ last = last->nextSibling();
+
+ Itdb_PhotoAlbum *photoAlbum = itdb_photodb_photoalbum_create( m_itdb, QFile::encodeName( newAlbum ), -1/*end*/ );
diff --git a/graphics/tripod/slack-desc b/graphics/tripod/slack-desc
new file mode 100644
index 0000000000..c303413045
--- /dev/null
+++ b/graphics/tripod/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tripod: Tripod (manage photos on Apple's iPod)
+tripod:
+tripod: Tripod is a QT application allowing you to display, create, remove
+tripod: and rename your iPod photo album.
+tripod:
+tripod: Homepage: http://sebruiz.net/tripod
+tripod:
+tripod:
+tripod:
+tripod:
+tripod:
diff --git a/graphics/tripod/tripod.SlackBuild b/graphics/tripod/tripod.SlackBuild
new file mode 100644
index 0000000000..0c8c55bf2d
--- /dev/null
+++ b/graphics/tripod/tripod.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# Slackware build script for tripod
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+PRGNAM=tripod
+VERSION=0.7.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+# Use patch from svn to prevent from crashing
+# when the first photo album is created
+patch -p0 < $CWD/ipodexport.cpp.diff || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-debug \
+ build=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/tripod/tripod.info b/graphics/tripod/tripod.info
new file mode 100644
index 0000000000..7f6102e4de
--- /dev/null
+++ b/graphics/tripod/tripod.info
@@ -0,0 +1,8 @@
+PRGNAM="tripod"
+VERSION="0.7.0"
+HOMEPAGE="http://www.sebruiz.net/tripod/"
+DOWNLOAD="http://www.sebruiz.net/projects/tripod-0.7.0.tar.bz2"
+MD5SUM="e1f42c0d6587c4aca0372d325b0686c2"
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="BP{k}"